What are the server prerequisites and where can download them ?

The following is a Master List of the prerequisite software used by the various AuthAnvil products and where they can be downloaded.


.NET Framework 2.0 or later (Not required for Server Core and Hyper-V)

  1. Server 2008r2 has  .NET Framework 3.5  enabled by default in Server Manager when you have an Application Server role installed with IIS and the ASP.NET role service (This is required).
  2. Windows Vista / Windows 7 .NET Framework 3.5  is enabled in Windows Programs and Features
  3. Server 2012/12r2  .NET Framework 3.5   is a Server Feature that will need to be enabled.


.NET Framework 4.5 or later (Not required for Server Core and Hyper-V)

  1. This is enabled by default with Server 2012/2012r2, Windows 8/8.1.
  2. Server 2008r2/ will need this installed via


  1. Microsoft Core XML Services (MSXML) 6.0 -



Microsoft Visual C++ 2008 Runtimes (MSVC++ 9.0) 

  1. x86 installer -
  2. x64 installer


Windows Identity Foundation

  1. Server 2012 / 2012R2 Windows Identity Foundation 3.5 must be installed as a server Feature
  2. Server 2008r2 this is installed via:


SQL Express 2014

  1. SQL Express x64 Value="

Note: This can be installed by default with Two-Factor Auth and Password Server unless you are using an SBS server or installing on a Domain controller.

Optional: You can download SQL Management Studio via




If you have any questions or need some help, we would be happy to assist. Open a case at or send an email to


Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request


Powered by Zendesk